import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruit = type => ({ 
  type,
  id: Math.random()
});
let fruits = range(5)
  .map(() => makeFruit('apple'));

const render = () => {
 fruitBowl(svg, { 
   fruits, 
   height: +svg.attr('height')
 }) 
}

render();

// Eat an apple
setTimeout(() => {
  fruits.pop();
  render();
}, 1000)

// Replace apple with lemon
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000)

// Eat an apple
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000)





